> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# userplan

> List provider for the UserPlan in the module license table. Returns all user plans except the one specified by additional-info "exclude_id"

## "userplan" MDO List

List provider for the UserPlan in the module license table.
Returns all user plans except the one specified by additional-info "exclude\_id"

Implemented by the <see cref="T:SuperOffice.CRM.Lists.UserPlanProvider">UserPlanProvider</see> class.
The name of the MDO list is 'userplan'.

## Additional Attributes

| Description                       | Name        | Example Value |
| --------------------------------- | ----------- | ------------- |
| Exclude the given user-plan by id | exclude\_id | 1234          |

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/userplan
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("userplan", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id  | Name                                       | StyleHint | ExtraInfo                 |
| --- | ------------------------------------------ | --------- | ------------------------- |
| 79  | (No Selection)                             |           | superlicense-no-selection |
| 124 | Sales Premium                              |           | ten-sales                 |
| 129 | Service Premium                            |           | ten-service               |
| 131 | Marketing Premium                          |           | ten-marketing             |
| 132 | SalesPremiumServicePremiumMarketingPremium |           | ten-salesservicemarketing |

## Related MDO Lists

* "userplanheadings"
* "userplanheadingswithallitem"
* "userplanheadingswithallitemwithnoselection"
* "userplanheadingswithnoselection"
* "userplanwithallitem"
* "userplanwithallitemwithnoselection"
* "userplanwithnoselection"


## Related topics

- [Arrays](/en/automation/crmscript/fundamentals/arrays.md)
- [OtherUsers](/en/api/archive-providers/reference/otherusers.md)
- [ExternalUsers](/en/api/archive-providers/reference/externalusers.md)
- [InternalUsers](/en/api/archive-providers/reference/internalusers.md)
- [AllUsers](/en/api/archive-providers/reference/allusers.md)
- [MDO List Provider names](/en/api/mdo-providers/reference/index.md)
